 /*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jpa.core.annotations.mapkeyjoincolumn;

import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class Course implements java.io.Serializable {

    @Id
    int id;

    String courseName;

    public Course() {
    }

    public Course(int id, String name) {
        this.id = id;
        this.courseName = name;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public int hashCode() {

        return this.id;
    }

    public boolean equals(Object obj) {
        boolean result = false;

        if ((obj != null) && (obj instanceof Course)) {
            Course course = (Course) obj;
            result = (course.id == this.id); 
        }
        return result;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
}
